Subject: Re: [PATCH 03/25] um/xor: don't override XOR_SELECT_TEMPLATE

From: Richard Weinberger <[email-masked]>
Date: Thu, 26 Feb 2026 22:45:26 +0100 (CET)

----- Ursprüngliche Mail -----
> Von: "hch" <[email-masked]>
> XOR_SELECT_TEMPLATE is only ever called with a NULL argument, so all the
> ifdef'ery doesn't do anything.  With our without this, the time travel
> mode should work fine on CPUs that support AVX2, as the AVX2
> implementation is forced in this case, and won't work otherwise.

IIRC Johannes added XOR_SELECT_TEMPLATE() here to skip
the template selection logic because it didn't work with time travel mode.

Johannes, can you please test whether this change does not break
time travel mode?

Thanks,
//richard